Update a pronunciation dictionary
Update the name and/or items of an existing pronunciation dictionary. Uses optimistic locking — if the dictionary was modified concurrently, the request returns 409 Conflict.
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const pronunciationDict = await client.pronunciationDicts.update(
'c215a3e1-be41-4701-97e8-1d3c22f9a5b7',
);
console.log(pronunciationDict.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
pronunciation_dict = client.pronunciation_dicts.update(
id="c215a3e1-be41-4701-97e8-1d3c22f9a5b7",
)
print(pronunciation_dict.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
pronunciationDict, err := client.PronunciationDicts.Update(
context.TODO(),
"c215a3e1-be41-4701-97e8-1d3c22f9a5b7",
telnyx.PronunciationDictUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", pronunciationDict.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.pronunciationdicts.PronunciationDictUpdateParams;
import com.telnyx.sdk.models.pronunciationdicts.PronunciationDictUpdateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
PronunciationDictUpdateResponse pronunciationDict = client.pronunciationDicts().update("c215a3e1-be41-4701-97e8-1d3c22f9a5b7");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
pronunciation_dict = telnyx.pronunciation_dicts.update("c215a3e1-be41-4701-97e8-1d3c22f9a5b7")
puts(pronunciation_dict)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$pronunciationDict = $client->pronunciationDicts->update(
'c215a3e1-be41-4701-97e8-1d3c22f9a5b7',
items: [['alias' => 'tel-nicks', 'text' => 'Telnyx', 'type' => 'alias']],
name: 'Updated Brand Names',
);
var_dump($pronunciationDict);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx pronunciation-dicts update \
--api-key 'My API Key' \
--id c215a3e1-be41-4701-97e8-1d3c22f9a5b7curl --request PATCH \
--url https://api.telnyx.com/v2/pronunciation_dicts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Brand Names",
"items": [
{
"text": "Telnyx",
"type": "alias",
"alias": "tel-nicks"
}
]
}
'{
"data": {
"record_type": "pronunciation_dict",
"id": "c215a3e1-be41-4701-97e8-1d3c22f9a5b7",
"name": "Brand Names",
"items": [
{
"text": "Telnyx",
"type": "alias",
"alias": "tel-nicks"
}
],
"version": 1,
"created_at": "2026-03-25T12:00:00.000Z",
"updated_at": "2026-03-25T12:00:00.000Z"
}
}{
"errors": [
{
"code": "90202",
"title": "Validation failed",
"detail": "items must have at least one item",
"source": {
"pointer": "/items"
}
}
]
}{
"errors": [
{
"code": "90200",
"title": "Pronunciation dictionary error",
"detail": "Dictionary was modified concurrently, please retry"
}
]
}{
"errors": [
{
"code": "90202",
"title": "Validation failed",
"detail": "items must have at least one item",
"source": {
"pointer": "/items"
}
}
]
}Authorizations
Telnyx API v2 key. Obtain from https://portal.telnyx.com
Path Parameters
The UUID of the pronunciation dictionary.
"c215a3e1-be41-4701-97e8-1d3c22f9a5b7"
Body
Request body for updating a pronunciation dictionary. At least one field must be provided.
Updated dictionary name.
1 - 255"Updated Brand Names"
Updated list of pronunciation items (alias or phoneme type).
1 - 100 elementsA single pronunciation dictionary item. Use type 'alias' to replace matched text with a spoken alias, or type 'phoneme' to specify exact pronunciation using IPA notation.
- Option 1
- Option 2
Show child attributes
Show child attributes
Response
Pronunciation dictionary updated successfully.
Response containing a single pronunciation dictionary.
A pronunciation dictionary record.
Show child attributes
Show child attributes
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const pronunciationDict = await client.pronunciationDicts.update(
'c215a3e1-be41-4701-97e8-1d3c22f9a5b7',
);
console.log(pronunciationDict.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
pronunciation_dict = client.pronunciation_dicts.update(
id="c215a3e1-be41-4701-97e8-1d3c22f9a5b7",
)
print(pronunciation_dict.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
pronunciationDict, err := client.PronunciationDicts.Update(
context.TODO(),
"c215a3e1-be41-4701-97e8-1d3c22f9a5b7",
telnyx.PronunciationDictUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", pronunciationDict.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.pronunciationdicts.PronunciationDictUpdateParams;
import com.telnyx.sdk.models.pronunciationdicts.PronunciationDictUpdateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
PronunciationDictUpdateResponse pronunciationDict = client.pronunciationDicts().update("c215a3e1-be41-4701-97e8-1d3c22f9a5b7");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
pronunciation_dict = telnyx.pronunciation_dicts.update("c215a3e1-be41-4701-97e8-1d3c22f9a5b7")
puts(pronunciation_dict)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$pronunciationDict = $client->pronunciationDicts->update(
'c215a3e1-be41-4701-97e8-1d3c22f9a5b7',
items: [['alias' => 'tel-nicks', 'text' => 'Telnyx', 'type' => 'alias']],
name: 'Updated Brand Names',
);
var_dump($pronunciationDict);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx pronunciation-dicts update \
--api-key 'My API Key' \
--id c215a3e1-be41-4701-97e8-1d3c22f9a5b7curl --request PATCH \
--url https://api.telnyx.com/v2/pronunciation_dicts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Brand Names",
"items": [
{
"text": "Telnyx",
"type": "alias",
"alias": "tel-nicks"
}
]
}
'{
"data": {
"record_type": "pronunciation_dict",
"id": "c215a3e1-be41-4701-97e8-1d3c22f9a5b7",
"name": "Brand Names",
"items": [
{
"text": "Telnyx",
"type": "alias",
"alias": "tel-nicks"
}
],
"version": 1,
"created_at": "2026-03-25T12:00:00.000Z",
"updated_at": "2026-03-25T12:00:00.000Z"
}
}{
"errors": [
{
"code": "90202",
"title": "Validation failed",
"detail": "items must have at least one item",
"source": {
"pointer": "/items"
}
}
]
}{
"errors": [
{
"code": "90200",
"title": "Pronunciation dictionary error",
"detail": "Dictionary was modified concurrently, please retry"
}
]
}{
"errors": [
{
"code": "90202",
"title": "Validation failed",
"detail": "items must have at least one item",
"source": {
"pointer": "/items"
}
}
]
}